Subject: Re: bug#70411: [bug] install(1) fails to read /dev/stdin on Darwin

From: Paul Eggert <[email-masked]>
Date: Tue, 16 Apr 2024 13:07:59 -0700

On 4/16/24 12:44, Pádraig Brady wrote:
> A related suggestion was from Marc Chantreux (CC'd)
> to support '-' to imply stdin, which would be more portable.
> There is some merit to that suggestion too.

I see that merit too, as when 'install' reads from stdin it needn't do 
the inode check. However, POSIX requires 'cp - X' to copy a file named 
'-' to X; cp cannot copy from stdin. Although POSIX doesn't specify 
'install', there is some value to having 'install' behave like 'cp'.

I suppose we could have install special-case "/dev/stdin", on platforms 
where /dev/stdin is known to mean standard input. Seems like a bit much 
to work around a Darwin kernel bug, though.